Archivos Mensuales: febrero 2012

Android-x86 4.0 RC1: ICS en tu netbook, portátil o PC

El proyecto Android-x86 lleva tiempo dando muchas alegrías a los fans de esta plataforma, que a través de este desarrollo pueden disfrutar de Android en sus equipos basados en procesadores x86.

Ahora el equipo de responsables del proyecto ha anunciado la disponibilidad de Android-x86 4.0 RC1, la versión candidata -previa a la versión final- que pule prácticamente todos los problemas encontrados en ediciones previas y que permite disfrutar de Ice Cream Sandwich en netbooks, PCs y portátiles.

Entre las mejoras y características de este desarrollo están el soporte multi-touch, WiFi, audio, Bluetooth, sensor-G y e incluso la cámara, además de aceleración hardware OpenFL para chipsets de Intel y AMD Radeon.

Además es posible contar con el motor javascript V8 para esta curiosa versión basada en Android 4.0.3, que también incluye el Kernel 3.0.8 con KMS, lo que significa que la mayoría de los netbooks pueden ejecutar Android-x86 a resolución nativa.

Tenéis todos los detalles del lanzamiento en WebUpd8, donde además explican cómo usarlo en VirtualBox, y donde ofrecen capturas de pantalla adicionales.

Fuente

Instalar LibreOffice 3.5.0 en Ubuntu 11.10 y 10.04 vía PPA

LibreOffice 3.5.0 fue publicado como estable a mitad del mes de febrero, proporcionado ciertos paquetes debs para descargar e instalar manualmente en Ubuntu, sin lograr una integración completa con Unity y con algunos problemas con KDE. Ahora, tiempo después, ya podemos instalar la suite ofimática en su versión más reciente vía PPA, tanto en Ubuntu 11.10 como en la versión 10.04.

Web Upd8 está informando sobre el PPA disponible para instalar LibreOffice 3.5.0 por este medio, con mayor integración con Ubuntu y sin necesidad de descargar paquetes debs e instalarlos manualmente.

Para Ubuntu 11.10 y 10.04 es necesario agregar el PPA y luego hacer la actualización a LibreOffice 3.5.0, pensando en que ya está instalado en una versión anterior:

sudo add-apt-repository ppa:libreoffice/ppa
sudo apt-get update
sudo apt-get dist-upgrade

En caso de no querer hacer un dist-upgrade se puede también hacer la actualización mediante el gestor de actualizaciones.

Es posible que LibreOffice no tenga integración con el menú global, en este caso será necesario instalar el paquete, de no tenerlo o reinstalarlo en caso de tenerlo y aun así no esté funcionando.

Para esto utilizamos los siguientes comandos:

sudo apt-get remove lo-menubar
sudo apt-get install lo-menubar

Si no tenemos instalada la integración con el menú global la primera línea dará un aviso de que no hay paquetes instalado para quitar, por lo que precederemos con la siguiente línea para instalarlo.

Para quienes tengan Ubuntu 10.04 y OpenOffice instalado y quieran reemplazarlo por LibreOffice 3.5.0 se necesita añadir el PPA y quitar OpenOffice e instalar LibreOffice utilizando las siguientes líneas:

sudo apt-get purge openoffice*
sudo apt-get install libreoffice

Una vez instalado podemos integrarlo mejor con el escritorio GNOME o KDE, según aplique:

Para GNOME::

sudo apt-get install libreoffice-gnome

Para KDE:

sudo apt-get install libreoffice-kde

Para Ubuntu 11.04 aún no está disponible LibreOffice en su versión más reciente, razón por la que se omitió en estas instrucciones.

LibreOffice 3.5.0 se añadirá por defecto en los repositorios para la mayoría de las distribuciones, sin embargo en algunas puede tardar un poco, aunque siempre se puede instalar de manera manual, como paso con Ubuntu o como también se puede hacer en openSUSE 12.1 entre otras distribuciones.

Fuente

EasyTAG: organizá tu música de manera efectiva

EasyTAG visualiza y edita etiquetas ID3 de múltiples formatos con una interfaz completa y fácil de usar.

Ofrece soporte CDDB usando Freedb.org y Gnudb.org para rellenar más fácilmente las etiquetas ID3 de cada canción, y permite deshacer los cambios y abrir los archivos desde otro programa.

Una completísima herramienta con la que saber en todo momento qué estamos escuchando y tener así bien organizada nuestra colección de música sin perder ninguna canción.

Características

  • Puede trabajar con los formatos mas populares: MP3, MP2, MP4/AAC, FLAC, Ogg Vorbis, MusePack y Monkey’s Audio.
  • Trabaja con las etiquetas ID3 versión 1 (título, artista, álbum, año, género, comentarios) y versión 1.1 (información sobre la pista/canción).
  • Auto etiquetas: puede rellenar automáticamente unas etiquetas concretas (utilizando máscaras)
  • Es capaz de renombrar archivos y directorios desde la etiqueta (utilizando máscaras) o desde un fichero de texto
  • Puede utilizar CDDB, sirviéndose de Freedb.org (con búsqueda manual o automática)
  • Lee la información en el encabezado del archivo (bitrate, tiempo, …) y la muestra.

Editando etiquetas ID3

Una vez seleccionada una carpeta, en el panel central aparecen todos los archivos de audio cuyas etiquetas pueden ser editadas. Luego podés seleccionar uno o varios archivos, utilizando CTRL (selección discontinua) o Shift (selección continua). A la derecha, aparece información en los campos de la sección “Etiquetas ID3”.

Una vez seleccionados todos los archivos, hacé clic en el botón que parece un CD, para acceder a la base de datos de CDDB. Normalmente, si el disco no está modificado, porque lo ripeaste tu de tu colección de discos o porque nadie le metió mano, a la primera de cambio te localiza el disco; de lo contrario, siempre podés hacer una búsqueda manual.

Para cambiar etiquetas “a mano”, a la derecha de cada campo aparece un cuadrado, haciendo clic en este cuadrado se aplica el valor del campo a todos los archivos de audio seleccionados. Por lo tanto, nunca presiones el botón “Titulo” cuando hagas una selección múltiple.

Una vez que hayas terminado con las modificaciones, guardá la información antes de cambiar de carpeta, sino las modificaciones se perderán.

Instalación

Se puede instalar desde la terminal escribiendo lo siguiente:

sudo aptitude install easytag

Para poder editar archivos .aac y .m4a es necesario instalar el paquete easytag.aac:

sudo apt-get install easytag-aac

Fuente

Debian Edu 6.0.4 rc2, disponible para probar

Debian Edu, también conocida como Skolelinux, está liberando la segunda versión candidata 6.0.4 rc2, cada vez más cerca de la versión final. Corrige fallos en su mayoría y añade unas pocas características.

Debian Edu 6.0.4 rc2 es el segundo lanzamiento de la fase más estable de desarrollo conocido como candidata. Cada vez más van puliendo la versión dejándola estable, pero aún pensando en arreglar diferentes fallos, por lo que sigue siendo una publicación para probar y seguir reportando los errores que se encuentren.

Dentro de las características más destacables de esta rc2, con respecto a su antecesora está:

  • freerdp-x11 es instalado por defecto como cliente RDP y VCN, en lugar de rdesktop.
  • El sistema de copias de seguridad es más robusto en el manejo del volcado de la base de datos y el reinicio.
  • Mejora el manejo de soportes extraíbles en los clientes ligeros.. Ahora al insertar nuevos medios muestra una notificación en el escritorio y da la opción de comenzar dolphin.
  • El Manual de Debian Edu Squeeze está en proceso de traducirse al danés.
  • Y más.

Información más detalla sobre los cambios presentados pueden consultarse en el anuncio del lanzamiento.

Skolelinux 6.0.4 rc2 está disponible como una imagen iso multi arquitectura en un CD para una instalación mínima o en un DVD para una completa instalación:

Descargar Skolelinux 6.0.4 rc2 CD (ISO)

Descargar Skolelinux 6.0.4 rc2 DVD (ISO)

Otros mirros e información de instalación en el wiki del proyecto.

El próximo lanzamiento es la rc3 que estará disponible para el 4 de marzo del año en curso. Después de eso se liberará como estable el 11 de marzo de 2012.

Debian Edu “Squeeze”, conocida como Skolelinux, es una edición basada en Debian que está orientada a las escuelas con todo lo necesario para armar una red escolar. Cuenta con aplicaciones educacionales como celestia, drgeo, gcompris, geogebra, kalzium, kgeography solfege y kgeography en la configuración por defecto del escritorio.

Página del proyecto Skolelinux | www.slx.no

Fuente

WattOS R5

Es una distribución Linux basada en Ubuntu muy liviana y recomendada para equipos de muy bajos recursos que usa LXDE como entorno gráfico.

Acaba de ser liberada la versión R5 donde se han producido algunos cambios, los más importantes son:

    • Updated to Kernel 3.0.0-16
    • New music player changed to audacious with plugin for music stream searching
    • Changed to SMPlayer for video player
    • Removed native mail client
    • Installed all new graphics editing program Pinta
    • Installed new power management utilities
    • Jupiter and including the latest powertop and xfce4 power manager.
    • Changed from Chromium to Midori web browser with flash support included
    • added better webcam support with cheese included by default.
    • Lots of other small tweaks and improvements – including ACPI, powertop, psensor (for temp management. Changed many utilities included
    • Changed from wicd to network manager

Pueden descargar una ISO del LiveCd de WattOS R5 desde su página de descargas

Fuente

MyUnity 3.0 disponible

Como caracteritica nueva trae nuevo configurador, editor de Quicklist y selector de temas e iconos.

la version 3.0 de MyUnity que vendra incluida por defecto en Ubuntu 12.04. Esta version incluye un asistente de configuracion que nos permitira cambiar el valor de transparencia y otras opciones del lanzador, asi como un editor de Quicklist e incluso la opcion de seleccionar el tema GTK que queramos utilizar.

Si estas utilizando alguna version previa de Ubuntu 12.04, simplemente actualiza, pues MyUnity 3.0 se encuentra en los repositorios. Si estas utilizando Ubuntu 11.10 y Ubuntu 11.04 entonces deberas usar estos repositorios:

sudo add-apt-repository ppa:myunity/ppa
sudo apt-get update
sudo apt-get install myunity

Fuente

Gnash 0.8.10, nueva versión del GNU Flash Player

Gnash, el Flash Player libre publicado bajo la licencia GPL v3, está alcanzado la versión 0.8.10 con una GUI Qt4 que soporta la rueda del ratón, portapapeles y resolución de pantalla, entre otras características.

Gnash es una opción libre al Adobe Flash Player, el cual después de la versión 11.2 ya no dará soporte a Linux a través de la pagina de descargas, solo a través de la API Pepper en la que están trabajando Google y Adobe para incluirlo en Chrome, mientras que Mozilla no ha querido unirse a este trabajo para incluirlo en Firefox.

Existen alternativas libres como Gnash que puedan reemplazar en su momento al Flash Player de Adobe, aunque todavía les falta trabajo para lograrlo, sin embargo, en cada nuevo lanzamiento mejoran aspectos que pueden hacerlos más viables a futuro.

Gnash 0.8.10 cuenta con nuevas características como la GUI Qt4 que soporta la rueda del ratón, el portapapeles y la resolución de pantalla. Cuenta además con el soporte de limite de scripts para ajustar el tiempo antes de abortar la ventana emergente.

Ha añadido el soporte de rendereado OpenVG, implementa onSoundComplete() para eventos de sonido, mejora el soporte GUI del framebuffer y añade soporte touchscreen, así como corrección de diversos fallos.

La lista con todos los cambios puede ser encontrada en el changlog de la versión.

Gnash es un reproductor de Flash y también un plugin para los navegadores como Firefox (y los basados en Gecko), Chromium y Konqueror, y es disponible para la mayoría de las distribuciones GNU/Linux y *BSD.

Soporta la mayoría de las características del formato SWF en su versión 7, pero otras encontradas en las versiones 8, 9 y 10, todavía no, por lo que está en un desarrollo constante, considerado todavía en fase beta.

Esta versión, a la fecha, puede ser encontrada como actualización en casi todas las distribuciones o se puede descargar de la página de Gnash en donde se ofrece instrucciones de como hacerlo de acuerdo a la distro utilizada.

Fuente

Frostwire 5.3.2 – Cliente P2P

Se encuentra disponible una nueva versión de FrostWire, un cliente P2P de código abierto basado en el muy conocido cliente LimeWire. Está escrito en Java por lo que está disponible en casi todas los sistemas operativos con versiones en Windows, Mac OS y GNU/Linux.

Frostwire utiliza la red Gnutella pero además es totalmente compatible con la red Bittorrent.

Para instalarlo en Ubuntu, pueden consultar su página de descargas donde encontrarán el paquete deb.

Fuente

VLSUB: Busca y descarga subtitulos desde VLC

VLCSub es una extensión para VLC que permite buscar y descargar subtitulos directamente desde opensubtitles.org. VLCSub ademas soporta varios idiomas entre los que se encuentra obviamente el español

La extensión funciona para las versiones de VLC mayores a la 1.10, lo he probado en la versión 2.0 y no he tenido suerte pero segun webupd8 debería funcionar, tal vez sea algún detalle con mi configuración.

Descarga e Instalación

Descargar el plugin desde aquí

Luego hay que copiar/mover el archivo descargado a ~/.local/share/vlc/lua/extensions

Si no existe el directorio es necesario crearlo

Todos estos pasos los resumo pueden hacerse directamente desde la consola ejecutando
mkdir -p ~/.local/share/vlc/lua/extensions; wget http://addons.videolan.org/CONTENT/content-files/148752-vlsub_0-2.lua -o vlsub.lua; mv vlsub.lua ~/.local/share/vlc/lua/extensions

Por ultimo solo hace falta reiniciar VLC y en el menú ver se puede ver la extensión instalada.

Al abrir un archivo de video nos solicitará en que idioma queremos descargar el subtitulo y nos dará una lista con aquellos que concuerdan con nuestro video. En caso que se muestre mas de uno se selecciona el deseado y al darle clic en download automaticamente se descargará y cargará el subtitulo.

Fuente

Solucionando problemas con las firmas GPG de los paquetes en GNU/Linux Ubuntu y Mint

Introducción

Después de una acción aún no determinada, posiblemente agregar un nuevo repositorio de paquetes al sistema operativo, empecé a obtener errores de firmas GPG como los siguientes durante la actualización de los índices de los paquetes en los repositorios con Aptitude.

W: GPG error: http://archive.ubuntu.com oneiric Release: The following signatures were invalid: BADSIG 40976EAF437D05B5 Ubuntu Archive Automatic Signing Key <ftpmaster@ubuntu.com>
W: GPG error: http://ppa.launchpad.net oneiric Release: The following signatures were invalid: BADSIG B9316A7BC7917B12 Launchpad chrislea
W: GPG error: http://ppa.launchpad.net oneiric Release: The following signatures were invalid: BADSIG B6C6326781C0BE11 Launchpad All you need for Ruby/Rails development on Ubuntu
W: GPG error: http://ppa.launchpad.net oneiric Release: The following signatures were invalid: BADSIG C2518248EEA14886 Launchpad VLC
W: A error occurred during the signature verification. The repository is not updated and the previous index files will be used. GPG error: http://ppa.launchpad.net oneiric Release: The following signatures were invalid: BADSIG C2518248EEA14886 Launchpad VLC

La solución

Para solucionar esta situación se siguieron los pasos mostrados a continuación.

Limpiar los paquetes almacenados en el sistema de archivos local descargados durante procedimientos anteriores.

$ sudo apt-get clean

Renombrar (mover o remover) las listas de índices de paquetes actualmente manejadas por el sistema operativo.

$ sudo mv /var/lib/apt/lists /var/lib/apt/lists.old

Solicitar nuevamente las listas de índices de los paquetes contenidos en los repositorios actualmente registrados en el sistema operativo

$ sudo apt-get update

Fuente

Translate »